<?php

class Knowhere_Widget_Sidebar_Listing_Products extends Knowhere_Widget {

	function __construct() {

		$this->widget_description = esc_html__( 'The products linked to the current listing.', 'knowherepro' );
		$this->widget_cssclass = 'job_manager widget_listing_products';
		$this->widget_id          = 'knowhere_listing_products';
		$this->widget_name        = '&#x27A4; ' . esc_html__( 'Listing', 'knowherepro' ) . '  - ' . esc_html__( 'Products', 'knowherepro' );
		$this->settings = array(
			'title' => array(
				'type'  => 'text',
				'std'   => esc_html__( 'Listing Products', 'knowherepro'),
				'label' => esc_html__( 'Title:', 'knowherepro' )
			),
		);

		parent::__construct();
	}

	public function widget( $args, $instance ) {

		global $post;

		extract( $args );

		$title = apply_filters( 'widget_title', $instance[ 'title' ], $instance, $this->id_base );

		$products_IDs = knowhere_get_listing_products();

		ob_start();

		if ( ! empty( $products_IDs ) ) :

			echo sprintf('%s', $before_widget);

			if ( $title ) echo $before_title . $title . $after_title;

				$query_args = apply_filters( 'knowhere_woocommerce_listing_products_args', array(
					'post_type'            => 'product',
					'ignore_sticky_posts'  => 1,
					'no_found_rows'        => 1,
					'posts_per_page'       => -1,
					'post__in'             => $products_IDs,
				) );

				$products = new WP_Query( $query_args );

				?><div class="listing_widget_wrapper"><?php

				if ( $products->have_posts() ) { ?>

					<div class="listing-products__items">

						<?php
						while ( $products->have_posts() ) : $products->the_post();
							wc_get_template_part( 'content', 'single-product-listing-sidebar' );
						endwhile;

						wp_reset_postdata(); ?>

					</div><!-- .listing-products__items -->

					<?php
				}

				?></div><?php

			echo sprintf('%s', $after_widget);

			wp_reset_postdata();

		endif;

        $content = ob_get_clean();

        echo apply_filters( $this->widget_id, $content );
	}

	private function get_placeholder_strings() {
		$placeholders = apply_filters( 'listing_sidebar_products_backend_placeholders', array() );

		$placeholders = wp_parse_args(
			(array) $placeholders,
			array(
				'title'    => esc_html__( 'Book a Reservation', 'knowherepro' ),
				'subtitle' => esc_html__( 'Powered by WooCommerce Plugin', 'knowherepro' )
			) );

		return $placeholders;
	}

}
