<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package KnowherePro
 */

get_header();
?>

<?php global $post, $knowhere_config;

?>

<?php while ( have_posts() ) : the_post(); ?>

	<div class="kw-single-box" id="kw-overview">

		<article id="post-<?php the_ID(); ?>" <?php job_listing_class( 'kw-single kw-type-2' ); ?> itemscope itemtype="http://schema.org/LocalBusiness">
			<?php

			do_action('knowherepro_append_single_box');

			if ( ! post_password_required() ) {

				if ( $knowhere_config['job-single-style'] != 'kw-style-4' && $knowhere_config['job-single-style'] != 'kw-style-5' ) {
					knowhere_job_single_gallery( array( 'echo' => true ) );
				}

				$job_manager = $GLOBALS['job_manager'];

				remove_filter( 'the_content', array( $job_manager->post_types, 'job_content' ) );

				ob_start();

				do_action( 'job_content_start' );

				get_job_manager_template_part( 'content-single', 'job_listing' );

				do_action( 'job_content_end' );

				$content = ob_get_clean();

				add_filter( 'the_content', array( $job_manager->post_types, 'job_content' ) );

				echo apply_filters( 'job_manager_single_job_content', $content, $post ); ?>

				<?php

			} else {
				echo '<div class="kw-entry-content">';
				echo get_the_password_form();
				echo '</div>';
			} ?>

			<?php do_action('knowherepro_prepend_single_box '); ?>

			<?php knowhere_output_single_listing_icon(); ?>

		</article>

	</div>

	<?php knowhere_job_single_details(); ?>

	<?php knowhere_job_single_related(); ?>

	<?php knowhere_job_single_reviewer(); ?>

<?php endwhile; ?>

<?php get_footer(); ?>
